---
name: Bug report
about: Create a report to help us improve
title: ''
labels: bug
assignees: Andre0512

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Environment (please complete the following information):**
 - Home Assistant Version: [e.g. `2023.6.1`]
 - hOn Integration Version [e.g. `0.8.1`, can be found in HACS or device log]
 - pyhOn Version [e.g. `0.13.1`, can be found in device log]

**Additional context**
Add any other context about the problem here.

**Home Assistant Logs**
Check `System` -> `Logs` if you can find any logs related to this integration and post it here.

**Device Log**
Post your device info here (if available)
1. Enable the "Show Device Info" button
_This button can be found in the diagnostic section of your device or in the entity overview if "show disabled entities" is enabled._
2. Press the button to create a notification
3. Open home assistant notifications and copy the message (Crtl+A, Ctrl+C)

**Data Archive**
For further analysis, please add your appliance data archive here (if available)
Navigate to `Settings` -> `Device & Services` -> `Haier hOn` -> _your device_ and press the _Create Data Archive_ button. 
Then open notifications to download the data zip archive.
To attach the file:
* GitHub Web: Use the "Attach files by dragging & dropping, selecting or pasting them." function
* GitHub Mobile: Upload the zip archive as image
